## Package org.apache.commons.math.geometry

This package provides basic 3D geometry components.

See:
Description

Class Summary
Rotation: This class implements rotations in a three-dimensional space.
RotationOrder: This class is a utility representing a rotation order specification for Cardan or Euler angles specification.
Vector3D: This class implements vectors in a three-dimensional space.
Vector3DFormat: Formats a 3D vector in components list format "{x; y; z}".

Exception Summary
CardanEulerSingularityException: This class represents exceptions thrown while extractiong Cardan or Euler angles from a rotation.
NotARotationMatrixException: This class represents exceptions thrown while building rotations from matrices.

## Package org.apache.commons.math.geometry Description

This package provides basic 3D geometry components.

Copyright (c) 2003-2010 Apache Software Foundation